You are not logged in.

#1 2007-03-25 20:07:31

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Kernel26 upgrade -> cannot adjust bar0

Hi.

I just updated arch to the last stock kernel and tried to reboot. Booting stops with one of the following error-messages:

0000:00:0d:0: cannot adjust BAR0 (not I/O)

assume root bridge [\_SB_.PCI0] bus is 0

I've tried booting the failsafe kernel too (as well as playing around with options such as acpi=off, noapic, nolapic,..).

Firing up google I found this which is pretty much what I'm experiencing as well. I have similar hardware too (pavilion dv9043ea) and I think as well that the problem is the device nVidia Corporation MCP51.

Question: Is it possible to boot a live-cd and revert to the old (working) kernel? What else could I do?

Offline

#2 2007-03-25 20:10:09

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Re: Kernel26 upgrade -> cannot adjust bar0

Update: I was able to boot with the pci=routeirq kernel-parameter. Don't know yet though, if this option works reliable all the time...

Bernhard

Offline

#3 2007-03-26 13:49:08

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Re: Kernel26 upgrade -> cannot adjust bar0

Update 2:
pci=routeirq doesn't work reliable. I've just tried about 15 times to boot but never got further than the "cannot adjust BAR0" error-message.

Anyone?

Offline

#4 2007-03-27 17:23:08

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Re: Kernel26 upgrade -> cannot adjust bar0

I just wanted to add that I had to downgrade to 2.6.20.3 which works fine.

Offline

#5 2007-03-29 10:17:41

dale77
Member
From: Down under
Registered: 2007-02-10
Posts: 102
Website

Re: Kernel26 upgrade -> cannot adjust bar0

Hmmm. Seems others have had some problems too. http://www.gossamer-threads.com/lists/l … nel/748576

I'm looking in here because I just experienced my first hard lockup in Arch. sad

I'm using the 2.6.20.4 kernel. Mayhap this one's a lemon.

Offline

#6 2007-04-07 20:24:50

kupje
Member
From: DK
Registered: 2007-04-07
Posts: 7

Re: Kernel26 upgrade -> cannot adjust bar0

No computers with the MCP51 chipset are able to boot this kernel at all. And this buggy kernel is the only one included with the new 0.8 release.

Well done, Arch!

Offline

#7 2007-04-08 08:12:59

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: Kernel26 upgrade -> cannot adjust bar0

kupje wrote:

No computers with the MCP51 chipset are able to boot this kernel at all. And this buggy kernel is the only one included with the new 0.8 release.

Well done, Arch!

well we only know if you tell us, unfortunatly, developers arent receiving telepathy training until 1.0. So in the mean time, report the bugs at bugs.archlinux.org, so we can squash them -- otherwise they breed.

Offline

#8 2007-04-08 09:16:32

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Re: Kernel26 upgrade -> cannot adjust bar0

Has anyone with an mcp51 chipset tried 2.6.20.5 or 2.6.20.6 already? Is any of these newer kernels working?

Offline

#9 2007-04-08 09:46:33

dw
Member
From: Vienna, Austria
Registered: 2006-11-25
Posts: 157

Re: Kernel26 upgrade -> cannot adjust bar0

Ok, just tried it out by myself. Doesn't work at all. I had to revert back again to 2.6.20.3, which works well....

Offline

#10 2007-04-08 15:27:03

kupje
Member
From: DK
Registered: 2007-04-07
Posts: 7

Re: Kernel26 upgrade -> cannot adjust bar0

iphitus wrote:
kupje wrote:

No computers with the MCP51 chipset are able to boot this kernel at all. And this buggy kernel is the only one included with the new 0.8 release.

Well done, Arch!

well we only know if you tell us, unfortunatly, developers arent receiving telepathy training until 1.0. So in the mean time, report the bugs at bugs.archlinux.org, so we can squash them -- otherwise they breed.

Sorry... I'm just annoyed that I'm unable to use the latest version of my favourite distro. hmm

I'll make a bugreport ASAP.

Offline

#11 2007-04-08 16:37:34

mcover
Member
From: Germany
Registered: 2007-01-25
Posts: 134

Re: Kernel26 upgrade -> cannot adjust bar0

You could try and compile the newest kernel according to those information:
http://www.uwsg.iu.edu/hypermail/linux/ … /0250.html

Apparently it works if the mentioned patch is reverted.

Hope it helps.

Offline

#12 2007-04-08 19:11:59

kupje
Member
From: DK
Registered: 2007-04-07
Posts: 7

Re: Kernel26 upgrade -> cannot adjust bar0

mcover wrote:

You could try and compile the newest kernel according to those information:
http://www.uwsg.iu.edu/hypermail/linux/ … /0250.html

Apparently it works if the mentioned patch is reverted.

Hope it helps.

Well, when you first have Arch installed, it wouldn't be any problem to revert to an old kernel or to compile a new one.
But no one with the MCP51 chipset (which is most modern HP and Compaq laptops) are able to install Arch Linux at all because of this. sad

Offline

#13 2007-04-09 07:16:49

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,269

Re: Kernel26 upgrade -> cannot adjust bar0

ftp://ftp.archlinux.org/other/0.8/i686
use those they have an older kernel

Offline

#14 2007-04-09 07:25:19

Romashka
Forum Fellow
Registered: 2005-12-07
Posts: 1,054

Re: Kernel26 upgrade -> cannot adjust bar0

kupje wrote:

No computers with the MCP51 chipset are able to boot this kernel at all. And this buggy kernel is the only one included with the new 0.8 release.

Well done, Arch!

kupje wrote:

Well, when you first have Arch installed, it wouldn't be any problem to revert to an old kernel or to compile a new one.
But no one with the MCP51 chipset (which is most modern HP and Compaq laptops) are able to install Arch Linux at all because of this. sad

I have MCP51 and I boot it every day since installing on new HDD from 0.8 beta.
The question - what do I do wrong? roll
Maybe stop complaining about buggy kernels and talking for everyone? wink

I'll look at your bugreport.

Last edited by Romashka (2007-04-09 07:26:43)


to live is to die

Offline

#15 2007-04-22 16:23:25

AngelToledo
Member
Registered: 2007-04-17
Posts: 11

Re: Kernel26 upgrade -> cannot adjust bar0

What happened with this bug? It just dissapeared from the bug reports and the bug is still there on the 2.6.20.7-2 kernel, I tried it last night and the error messages are still there. Is there anything I missed?

Offline

#16 2007-04-22 16:27:15

tpowa
Developer
From: Lauingen , Germany
Registered: 2004-04-05
Posts: 2,269

Re: Kernel26 upgrade -> cannot adjust bar0

bug was stated as fixed with latest kernels

Offline

#17 2007-04-22 19:06:29

AngelToledo
Member
Registered: 2007-04-17
Posts: 11

Re: Kernel26 upgrade -> cannot adjust bar0

So, if Im still having problems with latest kernels, should I  keep my 2.6.20.3-3 kernel?

Offline

Board footer

Powered by FluxBB